<?php
class rex_boxer_utils {
	public static function includeBoxer($params) {
		global $REX;

		$insert = PHP_EOL;
		$insert .= "\t" . '<!-- BEGIN AddOn Boxer -->' . PHP_EOL;
		$insert .= "\t" . '<link rel="stylesheet" type="text/css" href="' . $REX['HTDOCS_PATH'] . 'files/addons/boxer/jquery.fs.boxer.css" media="screen" />' . PHP_EOL;
	
		if ($REX['ADDON']['boxer']['settings']['include_jquery'] == 1) {
			$insert .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/boxer/jquery-1.11.1.min.js"></script>' . PHP_EOL;			
		}

		$insert .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/boxer/jquery.fs.boxer.min.js"></script>' . PHP_EOL;
		$insert .= "\t" . '<script type="text/javascript" src="' . $REX['HTDOCS_PATH'] . 'files/addons/boxer/init.js"></script>' . PHP_EOL;
		$insert .= "\t" . '<!-- END AddOn Boxer -->' . PHP_EOL;
		
		return str_replace('</head>', $insert . '</head>', $params['subject']);
	}

	public static function getHtmlFromMDFile($mdFile, $search = array(), $replace = array()) {
		global $REX;

		$curLocale = strtolower($REX['LANG']);

		if ($curLocale == 'de_de') {
			$file = $REX['INCLUDE_PATH'] . '/addons/boxer/' . $mdFile;
		} else {
			$file = $REX['INCLUDE_PATH'] . '/addons/boxer/lang/' . $curLocale . '/' . $mdFile;
		}

		if (file_exists($file)) {
			$md = file_get_contents($file);
			$md = str_replace($search, $replace, $md);
			$md = self::makeHeadlinePretty($md);

			return Parsedown::instance()->parse($md);
		} else {
			return '[translate:' . $file . ']';
		}
	}

	public static function makeHeadlinePretty($md) {
		return str_replace('Boxer AddOn - ', '', $md);
	}
}

