<?php
// init addon
$REX['ADDON']['name']['boxer'] = 'Boxer';
$REX['ADDON']['page']['boxer'] = 'boxer';
$REX['ADDON']['version']['boxer'] = '1.0.0';
$REX['ADDON']['author']['boxer'] = 'Oliver Kreischer';
$REX['ADDON']['supportpage']['boxer'] = 'forum.redaxo.de';
$REX['ADDON']['perm']['boxer'] = 'boxer[]';

// permissions
$REX['PERM'][] = 'boxer[]';

// includes
require($REX['INCLUDE_PATH'] . '/addons/boxer/settings.inc.php');
require($REX['INCLUDE_PATH'] . '/addons/boxer/classes/class.rex_boxer_utils.inc.php');

if ($REX['REDAXO']) {
	// add lang file
	$I18N->appendFile($REX['INCLUDE_PATH'] . '/addons/boxer/lang/');

	// add subpages
	$REX['ADDON']['boxer']['SUBPAGES'] = array(
		array('', $I18N->msg('boxer_start')),
		array('image_module', $I18N->msg('boxer_image_module')),
		array('gallery_module', $I18N->msg('boxer_gallery_module')),
		array('settings', $I18N->msg('boxer_settings')),
		array('help', $I18N->msg('boxer_help'))
	);
} else {
	rex_register_extension('OUTPUT_FILTER', 'rex_boxer_utils::includeBoxer');
}
?>
